import 'dart:io';
import 'SharedPref.dart';

class ConectionApi {
  List<Cookie> cookies = [];

  ConectionApi();

  void setCookie(List<Cookie> c) async {
    if (c.isEmpty == false) {
      await sharedPrefs.save('cookie', c[0].toString());
    }
  }

  Future<List<Cookie>> getCookie() async {
    final String? coo = sharedPrefs.read('cookie');
    Cookie cook = Cookie.fromSetCookieValue(coo.toString());
    return [cook];
  }

  Future<bool?> deleteCookie() async {
    bool? remove = await sharedPrefs.remove('cookie');
    return remove;
  }
}
