import 'package:shared_preferences/shared_preferences.dart';

class SharedPrefs {
  SharedPreferences? _sharedPrefs;

  init() async {
    _sharedPrefs = await SharedPreferences.getInstance();
  }

  String read(String key) {
    String? value = _sharedPrefs?.getString(key);
    //print("retorno1 $value");
    return '$value';
  }

  bool? containsKey(String key) {
    bool? contain = _sharedPrefs?.containsKey(key);
    return contain;
  }

  Future<bool?> save(String key, String value) async {
    return _sharedPrefs?.setString(key, value);
  }

  Future<bool?> remove(String key) async {
    return _sharedPrefs?.remove(key);
  }
}

final sharedPrefs = SharedPrefs();
