// To parse this JSON data, do
//
//     final welcome = welcomeFromJson(jsonString);

import 'dart:convert';

import 'package:ealu_flutter/domain/entities/alumno.dart';

class AlumnoModel extends Alumno {
  String cedula;
  String nombre;
  String apellido;
  String sexo;
  String estcivil;
  String telefono;
  String direccion;
  String mail;
  dynamic lateralidad;
  dynamic pueblosOriginarios;
  dynamic pueblosoriginariostext;
  dynamic discapacidad;
  dynamic discVisual;
  dynamic discMotora;
  dynamic discAuditiva;
  dynamic discOtros;
  dynamic discOtrosText;
  String str;

  AlumnoModel({
    required this.cedula,
    required this.nombre,
    required this.apellido,
    required this.sexo,
    required this.estcivil,
    required this.telefono,
    required this.direccion,
    required this.mail,
    this.lateralidad,
    this.pueblosOriginarios,
    this.pueblosoriginariostext,
    this.discapacidad,
    this.discVisual,
    this.discMotora,
    this.discAuditiva,
    this.discOtros,
    this.discOtrosText,
    required this.str,
  });

  factory AlumnoModel.fromJson(Map<String, dynamic> json) => AlumnoModel(
        cedula: json["cedula"],
        nombre: json["nombre"],
        apellido: json["apellido"],
        sexo: json["sexo"],
        estcivil: json["estcivil"],
        telefono: json["telefono"],
        direccion: json["direccion"],
        mail: json["mail"],
        lateralidad: json["lateralidad"],
        pueblosOriginarios: json["pueblosOriginarios"],
        pueblosoriginariostext: json["pueblosoriginariostext"],
        discapacidad: json["discapacidad"],
        discVisual: json["disc_visual"],
        discMotora: json["disc_motora"],
        discAuditiva: json["disc_auditiva"],
        discOtros: json["disc_otros"],
        discOtrosText: json["disc_otros_text"],
        str: json["str"],
      );

  Map<String, dynamic> toJson() => {
        "cedula": cedula,
        "nombre": nombre,
        "apellido": apellido,
        "sexo": sexo,
        "estcivil": estcivil,
        "telefono": telefono,
        "direccion": direccion,
        "mail": mail,
        "lateralidad": lateralidad,
        "pueblosOriginarios": pueblosOriginarios,
        "pueblosoriginariostext": pueblosoriginariostext,
        "discapacidad": discapacidad,
        "disc_visual": discVisual,
        "disc_motora": discMotora,
        "disc_auditiva": discAuditiva,
        "disc_otros": discOtros,
        "disc_otros_text": discOtrosText,
        "str": str,
      };
}
