import '../../data/repositories/auth_repository.dart';
import '../entities/user.dart';
import '../repositories/auth_repository.dart';

class LoginUseCase {
  final AuthRepository authRepository;

  LoginUseCase({required this.authRepository});

  Future<User?> login(String username, String password) {
    return authRepository.login(username, password);
  }
}

class LogoutUseCase {
  final AuthRepositoryImpl repository;

  LogoutUseCase(this.repository);

  /*Future<void> logout() {
    return repository.logout();
  }*/
}
