import 'package:ealu_flutter/presentation/widgets/customAppBar.dart';
import 'package:flutter/material.dart';
import 'package:sizer/sizer.dart';

class HomeScreen extends StatefulWidget {
  const HomeScreen({super.key});

  @override
  _HomeScreenState createState() => _HomeScreenState();
}

class _HomeScreenState extends State<HomeScreen> {
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: PreferredSize(
        preferredSize: Size.fromHeight(12.h),
        child: CustomAppBar(
          onLogoutButtonPress: () {},
        ),
      ),
      body: SafeArea(
        child: Column(children: <Widget>[
          Padding(
            padding: const EdgeInsets.all(5),
            child: MatriculaSelect(),
          ),
          Expanded(
            child: SingleChildScrollView(
              child: Column(children: <Widget>[
                Container(),
                /*Padding(
                      padding: EdgeInsets.all(10),
                      child: Row(
                        children: <Widget>[
                          Expanded(
                            child: Text(
                              'HOME',
                              style: TextStyle(
                                fontSize: getResponsiveIcon() + 10,
                                color: Color(0xFF3F3F3F),
                                fontWeight: FontWeight.bold,
                              ),
                              textAlign: TextAlign.center,
                            ),
                          ),
                          Container(
                            width: 35,
                            child: FlatButton(
                              onPressed: () {
                                StoreProvider.of<AppState>(context).dispatch(
                                  LogoutUserAction(),
                                );
                              },
                              padding: EdgeInsets.all(0),
                              child: Icon(
                                Ionicons.md_exit,
                                size: getResponsiveIcon(),
                                color: Color(0xFF3F3F3F),
                              ),
                            ),
                          ),
                        ],
                      ),
                    ),
                    Padding(
                      padding: EdgeInsets.all(10),
                      child: Column(
                        crossAxisAlignment: CrossAxisAlignment.start,
                        children: <Widget>[
                          Text(
                            'Novedades',
                            style: TextStyle(
                              fontSize: getResponsiveText() + 5,
                              fontWeight: FontWeight.bold,
                              color: Color(0xFF3F3F3F),
                            ),
                          ),
                          SizedBox(
                            height: 10,
                          ),
                          StoreConnector<AppState, List<dynamic>>(
                            converter: (Store<AppState> store) =>
                                store.state.home.mensajeList,
                            builder: (BuildContext context,
                                List<dynamic> mensajeList) {
                              return ListView.builder(
                                itemCount: mensajeList.length > 3
                                    ? 3
                                    : mensajeList.length,
                                physics: NeverScrollableScrollPhysics(),
                                shrinkWrap: true,
                                itemBuilder: (BuildContext context, int index) {
                                  final item = mensajeList[index];
                                  return Column(
                                    crossAxisAlignment:
                                        CrossAxisAlignment.start,
                                    children: <Widget>[
                                      InkWell(
                                        onTap: () async {
                                          if (await canLaunch(item.url)) {
                                            await launch(item.url);
                                          } else {
                                            throw 'Could not launch ${item.url}';
                                          }
                                        },
                                        child: Linkify(
                                          onOpen: (link) async {
                                            if (await canLaunch(link.url)) {
                                              await launch

                                              */
              ]),
            ),
          )
        ]),
      ),
    );
  }
}
