import 'package:flutter/material.dart';
import 'package:sizer/sizer.dart';

import '../../../core/router.dart';

class SplashScreen extends StatefulWidget {
  @override
  _SplashScreenState createState() => _SplashScreenState();
}

class _SplashScreenState extends State<SplashScreen> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Container(
        color: Theme.of(context).colorScheme.primary,
        child: SizedBox(
          width: MediaQuery.of(context).size.width,
          height: MediaQuery.of(context).size.height,
          child: Column(
            mainAxisAlignment: MainAxisAlignment.spaceAround,
            crossAxisAlignment: CrossAxisAlignment.center,
            mainAxisSize: MainAxisSize.max,
            children: [
              Image.asset(
                'assets/E_Alu_Icon.png',
                fit: BoxFit.cover,
                width: 40.w,
              ),
              /*Container(
                child: Text(
                  "COPYRIGHT © " + DateTime.now().year.toString(),
                  //style: FONT_CONST.BOLD_PRIMARY_INFORMATION_TITLE,
                ),
              )*/
            ],
          ),
        ),
      ),
    );
  }

  void openLogin() {
    Future.delayed(Duration(seconds: 3), () {
      Navigator.pushNamed(context, AppRouter.LOGIN);
    });
  }
}
