import 'package:equatable/equatable.dart';

import '../../data/models/UserModel.dart';

class User extends Equatable {
  User({
    required this.id,
    required this.username,
    required this.name,
    required this.surname,
    this.image,
    required this.nameAndSurname,
  });

  int id;
  String username;
  String name;
  String surname;
  dynamic image;
  String nameAndSurname;

  @override
  List<Object> get props => [id, username, name];

  factory User.fromModel(UserModel userModel) {
    return User(
      id: userModel.id,
      name: userModel.name,
      surname: userModel.surname,
      nameAndSurname: userModel.nameAndSurname,
      username: userModel.surname,
    );
  }
}
